Package net.snowflake.client.util

## Interface EnvironmentProvider

All Known Implementing Classes:
  `SnowflakeEnvironmentProvider`

    @SnowflakeJdbcInternalApi
    public interface EnvironmentProvider

Interface for providing environment variables to enable thread-safe testing. This abstraction allows dependency injection of environment variable access, making code testable with instance mocks (as opposed to static SnowflakeUtil) that work across threads.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getEnv​(String name)`

### Method Detail

#### getEnv

    String getEnv​(String name)